<!DOCTYPE html>

<html>
<head>
<meta charset="UTF-8">

<title>Table of Contents - RDoc Documentation</title>

<script type="text/javascript">
  var rdoc_rel_prefix = "./";
  var index_rel_prefix = "./";
</script>

<script src="./js/jquery.js"></script>
<script src="./js/darkfish.js"></script>

<link href="./css/fonts.css" rel="stylesheet">
<link href="./css/rdoc.css" rel="stylesheet">



<body id="top" class="table-of-contents">
<main role="main">
<h1 class="class">Table of Contents - RDoc Documentation</h1>

<h2 id="pages">Pages</h2>
<ul>
  <li class="file">
    <a href="Gemfile.html">Gemfile</a>
  </li>
    <li class="file">
    <a href="Gemfile_lock.html">Gemfile.lock</a>
  </li>
    <li class="file">
    <a href="README_md.html">README</a>

    <ul>
      <li><a href="README_md.html#label-Storehaus">Storehaus</a>
      <li><a href="README_md.html#label-Library+Metadata">Library Metadata</a>
      <li><a href="README_md.html#label-File+Browser">File Browser</a>
      <li><a href="README_md.html#label-Image+cropper">Image cropper</a>
      <li><a href="README_md.html#label-Usage">Usage</a>
      <li><a href="README_md.html#label-Installation">Installation</a>
      <li><a href="README_md.html#label-Contributing">Contributing</a>
      <li><a href="README_md.html#label-License">License</a>
    </ul>
  </li>
    <li class="file">
    <a href="Rakefile.html">Rakefile</a>
  </li>
    <li class="file">
    <a href="app/assets/config/storehaus_manifest_js.html">storehaus_manifest.js</a>
  </li>
    <li class="file">
    <a href="app/assets/javascripts/storehaus/application_js.html">application.js</a>
  </li>
    <li class="file">
    <a href="app/assets/stylesheets/storehaus/application_css.html">application.css</a>

    <ul>
      <li><a href="app/assets/stylesheets/storehaus/application_css.html#label-require_tree+.">require_tree .</a>
      <li><a href="app/assets/stylesheets/storehaus/application_css.html#label-require_self">require_self</a>
    </ul>
  </li>
    <li class="file">
    <a href="lib/tasks/storehaus_tasks_rake.html">storehaus_tasks.rake</a>
  </li>
    <li class="file">
    <a href="spec/dummy/Rakefile.html">Rakefile</a>
  </li>
    <li class="file">
    <a href="spec/dummy/app/assets/config/manifest_js.html">manifest.js</a>
  </li>
    <li class="file">
    <a href="spec/dummy/app/assets/javascripts/application_js.html">application.js</a>
  </li>
    <li class="file">
    <a href="spec/dummy/app/assets/javascripts/cable_js.html">cable.js</a>
  </li>
    <li class="file">
    <a href="spec/dummy/app/assets/stylesheets/application_css.html">application.css</a>

    <ul>
      <li><a href="spec/dummy/app/assets/stylesheets/application_css.html#label-require_tree+.">require_tree .</a>
      <li><a href="spec/dummy/app/assets/stylesheets/application_css.html#label-require_self">require_self</a>
    </ul>
  </li>
    <li class="file">
    <a href="spec/dummy/config_ru.html">config.ru</a>
  </li>
    <li class="file">
    <a href="spec/dummy/log/development_log.html">development.log</a>
  </li>
    <li class="file">
    <a href="spec/dummy/log/test_log.html">test.log</a>
  </li>
    <li class="file">
    <a href="spec/dummy/package_json.html">package.json</a>
  </li>
    <li class="file">
    <a href="spec/dummy/public/404_html.html">404.html</a>
  </li>
    <li class="file">
    <a href="spec/dummy/public/422_html.html">422.html</a>
  </li>
    <li class="file">
    <a href="spec/dummy/public/500_html.html">500.html</a>
  </li>
    <li class="file">
    <a href="spec/dummy/public/apple-touch-icon-precomposed_png.html">apple-touch-icon-precomposed.png</a>
  </li>
    <li class="file">
    <a href="spec/dummy/public/apple-touch-icon_png.html">apple-touch-icon.png</a>
  </li>
    <li class="file">
    <a href="spec/dummy/public/favicon_ico.html">favicon.ico</a>
  </li>
    <li class="file">
    <a href="storehaus_gemspec.html">storehaus.gemspec</a>
  </li>
  
</ul>

<h2 id="classes">Classes and Modules</h2>
<ul>
  <li class="module">
    <a href="ActiveRecord.html">ActiveRecord</a>
  </li>
  <li class="module">
    <a href="ActiveStorage.html">ActiveStorage</a>
  </li>
  <li class="module">
    <a href="ActiveSupport.html">ActiveSupport</a>
  </li>
  <li class="class">
    <a href="AddLibraryMetadataToActiveStorageBlobs.html">AddLibraryMetadataToActiveStorageBlobs</a>
  </li>
  <li class="module">
    <a href="ApplicationCable.html">ApplicationCable</a>
  </li>
  <li class="class">
    <a href="ApplicationCable/Channel.html">ApplicationCable::Channel</a>
  </li>
  <li class="class">
    <a href="ApplicationCable/Connection.html">ApplicationCable::Connection</a>
  </li>
  <li class="class">
    <a href="ApplicationController.html">ApplicationController</a>
  </li>
  <li class="module">
    <a href="ApplicationHelper.html">ApplicationHelper</a>
  </li>
  <li class="class">
    <a href="ApplicationJob.html">ApplicationJob</a>
  </li>
  <li class="class">
    <a href="ApplicationRecord.html">ApplicationRecord</a>
  </li>
  <li class="class">
    <a href="CreateActiveStorageTables.html">CreateActiveStorageTables</a>
  </li>
  <li class="module">
    <a href="Dummy.html">Dummy</a>
  </li>
  <li class="class">
    <a href="Dummy/Application.html">Dummy::Application</a>
  </li>
  <li class="module">
    <a href="Logger.html">Logger</a>
  </li>
  <li class="class">
    <a href="Object.html">Object</a>
  </li>
  <li class="module">
    <a href="Storehaus.html">Storehaus</a>
  </li>
  <li class="class">
    <a href="Storehaus/ApplicationController.html">Storehaus::ApplicationController</a>
  </li>
  <li class="module">
    <a href="Storehaus/ApplicationHelper.html">Storehaus::ApplicationHelper</a>
  </li>
  <li class="class">
    <a href="Storehaus/ApplicationJob.html">Storehaus::ApplicationJob</a>
  </li>
  <li class="class">
    <a href="Storehaus/ApplicationMailer.html">Storehaus::ApplicationMailer</a>
  </li>
  <li class="class">
    <a href="Storehaus/ApplicationRecord.html">Storehaus::ApplicationRecord</a>
  </li>
  <li class="class">
    <a href="Storehaus/Configuration.html">Storehaus::Configuration</a>
  </li>
  <li class="class">
    <a href="Storehaus/Engine.html">Storehaus::Engine</a>
  </li>
  <li class="module">
    <a href="Storehaus/Engine/ActiveStorage.html">Storehaus::Engine::ActiveStorage</a>
  </li>
  <li class="class">
    <a href="Storehaus/LibraryMetadata.html">Storehaus::LibraryMetadata</a>
  </li>
  <li class="class">
    <a href="Storehaus/LibraryMetadata/Type.html">Storehaus::LibraryMetadata::Type</a>
  </li>
</ul>

<h2 id="methods">Methods</h2>
<ul>

  <li class="method">
    <a href="Storehaus.html#method-c-configure">::configure</a>
    &mdash;
    <span class="container">Storehaus</span>

  <li class="method">
    <a href="Storehaus/LibraryMetadata.html#method-c-new">::new</a>
    &mdash;
    <span class="container">Storehaus::LibraryMetadata</span>

  <li class="method">
    <a href="Storehaus/LibraryMetadata/Type.html#method-i-cast">#cast</a>
    &mdash;
    <span class="container">Storehaus::LibraryMetadata::Type</span>

  <li class="method">
    <a href="CreateActiveStorageTables.html#method-i-change">#change</a>
    &mdash;
    <span class="container">CreateActiveStorageTables</span>

  <li class="method">
    <a href="AddLibraryMetadataToActiveStorageBlobs.html#method-i-change">#change</a>
    &mdash;
    <span class="container">AddLibraryMetadataToActiveStorageBlobs</span>

  <li class="method">
    <a href="Storehaus/Configuration.html#method-i-register_metadata_field">#register_metadata_field</a>
    &mdash;
    <span class="container">Storehaus::Configuration</span>

  <li class="method">
    <a href="Storehaus/LibraryMetadata/Type.html#method-i-serialize">#serialize</a>
    &mdash;
    <span class="container">Storehaus::LibraryMetadata::Type</span>

  <li class="method">
    <a href="Object.html#method-i-system-21">#system!</a>
    &mdash;
    <span class="container">Object</span>
</ul>
</main>


<footer id="validator-badges" role="contentinfo">
  <p><a href="https://validator.w3.org/check/referer">Validate</a>
  <p>Generated by <a href="https://ruby.github.io/rdoc/">RDoc</a> 6.0.1.
  <p>Based on <a href="http://deveiate.org/projects/Darkfish-RDoc/">Darkfish</a> by <a href="http://deveiate.org">Michael Granger</a>.
</footer>

